import java.io.*;
import java.util.*;

public class glade_pk_gen {
	public static void main(String[] args) {
		new glade_pk_gen().run();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public void solve() throws IOException {
		out.println(1);
		Random rnd = new Random();
		int n = rnd.nextInt(4) + 2;
		out.println(n);
		for (int i = 0; i < n; i++) {
			out.print(rnd.nextInt(2));
			if (i < n - 1)
				out.print(" ");
			else
				out.println();
		}
	}

	public void run() {
		try {
			out = new PrintWriter("glade.in");
			//br = new BufferedReader(new InputStreamReader(System.in));
			//out = new PrintWriter(System.out);

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}